Announcement

Collapse
No announcement yet.

DB Error 1045 - Possible Fix

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • DB Error 1045 - Possible Fix

    Really weird problem here... I don't have the exact error message anymore because I fixed it. Here is the error from the e-mail I was getting though.

    Database error in vBulletin :
    Link-ID == false, connect failed
    mysql error: Access denied for user:
    '[email protected]' (Using password: YES)
    mysql error number: 1045
    Date: Saturday 21st of December 2002 04:39:00 AM
    Script: /index.php
    Referer:


    I had a really long DB password (20+ characters I would guess). Just reducing that down to 6-8 characters fixed the problem.


  • #2
    Originally posted by EntityPacket
    Really weird problem here... I don't have the exact error message anymore because I fixed it. Here is the error from the e-mail I was getting though.

    Database error in vBulletin :
    Link-ID == false, connect failed
    mysql error: Access denied for user:
    '[email protected]' (Using password: YES)
    mysql error number: 1045
    Date: Saturday 21st of December 2002 04:39:00 AM
    Script: /index.php
    Referer:


    I had a really long DB password (20+ characters I would guess). Just reducing that down to 6-8 characters fixed the problem.
    what version of mysql you're using ?
    :: Always Back Up Forum Database + Attachments BEFORE upgrading !
    :: Nginx SPDY SSL - World Flags Demo [video results]
    :: vBulletin hacked forums: Clean Up Guide for VPS/Dedicated hosting users [ vbulletin.com blog summary ]

    Comment


    • #3
      Client API version is 3.23.51. I got that information from phpinfo. I am not sure about anything else. I am using PSA 5.xx www.plesk.com

      I had installed a vB serveral other times on this server with no problems. When I changed the password to a shorter one it worked. Btw, I'm not running serveral vB's or anything (Just installed it a few times and took it down).

      I'm actually not even running one at the moment. Because I would like to set one up and integrated the user tables with my portal. So if one user registers on the site it will register them on the forum.

      Comment


      • #4
        Originally posted by EntityPacket
        Client API version is 3.23.51. I got that information from phpinfo. I am not sure about anything else. I am using PSA 5.xx www.plesk.com

        I had installed a vB serveral other times on this server with no problems. When I changed the password to a shorter one it worked. Btw, I'm not running serveral vB's or anything (Just installed it a few times and took it down).

        I'm actually not even running one at the moment. Because I would like to set one up and integrated the user tables with my portal. So if one user registers on the site it will register them on the forum.
        might want to see if there's a plesk update for mysql 3.23.54a which fixes alot of bugs and security flaws in prior versions such as yours
        :: Always Back Up Forum Database + Attachments BEFORE upgrading !
        :: Nginx SPDY SSL - World Flags Demo [video results]
        :: vBulletin hacked forums: Clean Up Guide for VPS/Dedicated hosting users [ vbulletin.com blog summary ]

        Comment

        widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
        Working...
        X